from distutils.core import setup


def asstr(s):
    if isinstance(s, bytes):
        return s.decode('ascii', 'ignore')
    return str(s)


def get_svn_rev():
    import subprocess

    try:
        p = subprocess.Popen(
            ['svn', 'info', 'svn://bioinformatics.org/svnroot/freemol'],
            stdout=subprocess.PIPE)
        stdout, _ = p.communicate()
    except OSError:
        stdout = ''

    for line in stdout.splitlines():
        line = asstr(line)
        if line.startswith('Revision:'):
            return line.split(':')[1].strip()

    return 'HEAD'


setup(
    name="freemol",
    version='1.' + get_svn_rev(),
    packages=[
        "freemol",
    ],
    package_dir={
        "freemol": "libpy/freemol",
    },
)
